****************************************************************************************************************************************************************
****************************************************************************************************************************************************************
************************** RUSHING TO THE POLLS: THE CAUSES OF PREMATURE POST-CONFLICT ELECTIONS, DAWN BRANCATI AND JACK SNYDER * *****************************
****************************************************************************************************************************************************************
****************************************************************************************************************************************************************
  
set matsize 10000
clear
use "/Users/brancati/Documents/Publications/JCR2011/BS11_RUSH2POLLS.dta"

**************************************************
**************************************************
******* FIRST POST-CONFLICT ELECTION (FPE) *******
**************************************************
**************************************************

*3 FPEs arguably occur in the same month as the end of the civil war. Below, I have replaced T2fpemths1 = 0 to T2fpemths1 = 1*
replace T2fpemths1 = 1 if T2fpemths1 == 0

*Time set the data.*
stset T2fpemths1, failure(fEND1) 

******************************
*INTERNATIONAL CONSIDERATIONS*
******************************
stcox fintvngwar1 postCW unintrvnALL UNfpeaid1, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE1", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se replace label(insert)
   *Proportionality Assumption Tests*
   *Schoenfeld Residuals*
    stphtest, detail
    drop sca* sch*
 *Robustness:*
    stcox fintvngwar1 postCW intrvnALL UNfpeaid1, hr efron cluster(countryname) 

stcox fintvngwar1 postCW unintrvnALL UNaidfpeTECH1, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
    outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE1", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se append label(insert)
    *for var UNaidfpeTECH1 UNaidfpeCOORD1 UNaidfpeOBSV1 UNaidfpeORG1 UNaidfpeSPV1 UNaidfpeVER1 UNaidfpeNOBV1: stcox postCW victory fintvngwar1 cycle intrvnALL X, hr efron cluster(countryname)
    *Proportionality Assumption Tests*
     stphtest, detail
     drop sca* sch* 

stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 USak110fpedate1, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
     outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE1", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se append label(insert)
     *Proportionality Assumption Tests*
     stphtest, log plot(nintvngwar1) yline(0) 
     stphtest, detail
     drop sca* sch*
     *Robustness*: 
     stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 USak100fpedate1, hr efron cluster(countryname)  
    
***************************
*  DOMESTIC CONSIDERATIONS*
***************************    
stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 victory cycle prv10yrs prop mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE2", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform  tex se replace label(insert)
  test prop mixed
  test unexec
    *Proportionality Assumption Tests*
     stphtest, detail
     drop sca* sch*
 *Robustness*
  stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 victory cycle DIFFfpe1pne1 prop mixed unexec dcen, hr efron cluster(countryname) 
  stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 victory cycle pn2polity1 prop mixed unexec dcen, hr efron cluster(countryname) 
  stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 victory cycle endPolity2 prop mixed unexec dcen, hr efron cluster(countryname) 
   gen SET = 1 if victory == 0
   replace SET = 0 if victory == 1  
   gen SET_prop = SET*prop
   test SET SET_prop prop 
   stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 SET cycle prv10yrs prop SET_prop mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*) basehc(hazard)
      *Proportionality Assumption Tests*
     stphtest, detail
     drop sca* sch*
   stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 0, UNfpeaid1=1, SET=0,  SET_prop=0, cycle=1, prv10yrs=1, prop=0, mixed=0, unexec=0, dcen=0) 
   stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 0, UNfpeaid1=1, SET=0,  SET_prop=1, cycle=1, prv10yrs=1, prop=0, mixed=0, unexec=0, dcen=0) 
   stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 0, UNfpeaid1=1, SET=1,  SET_prop=0, cycle=1, prv10yrs=1, prop=0, mixed=0, unexec=0, dcen=0) 
   stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 1, UNfpeaid1=1, SET=1,  SET_prop=1, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) 
    *Probability of an election higher in the case of PR. 
  gen SET_mixed = SET*mixed 
  stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 SET cycle prv10yrs prop SET_mixed mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*) basehc(hazard)
  test SET SET_mixed mixed 
    *Proportionality Assumption Tests*
     stphtest, detail
     drop sca* sch*
   stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 0, UNfpeaid1=1, SET=0,  SET_mixed=0, cycle=1, prv10yrs=1, prop=0, mixed=0, unexec=0, dcen=0) 
   stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 1, UNfpeaid1=1, SET=0,  SET_mixed=1, cycle=1, prv10yrs=1, prop=0, mixed=1, unexec=0, dcen=0) 
   stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 0, UNfpeaid1=1, SET=1,  SET_mixed=0, cycle=1, prv10yrs=1, prop=0, mixed=0, unexec=0, dcen=0) 
   stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 1, UNfpeaid1=1, SET=1,  SET_mixed=1, cycle=1, prv10yrs=1, prop=0, mixed=1, unexec=0, dcen=0) 
    *Probability higher in the case of mixed. 
  gen SET_unexec = SET*unexec
  stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 SET cycle prv10yrs prop SET_unexec mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*) basehc(hazard)
  test SET SET_unexec unexec 
    *Proportionality Assumption Tests*
     stphtest, detail
     drop sca* sch*
  stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 0, UNfpeaid1=1, SET=0,  SET_unexec=0, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) 
  stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 1, UNfpeaid1=1, SET=0,  SET_unexec=1, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=1, dcen=0) 
  stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 0, UNfpeaid1=1, SET=1,  SET_unexec=0, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) 
  stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 1, UNfpeaid1=1, SET=1,  SET_unexec=1, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=1, dcen=0) 
    *Probability of election higher in the case of unexecutive systems.
  gen SET_dcen = SET*dcen
  stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 SET cycle prv10yrs prop SET_dcen mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*) basehc(hazard)
  test SET SET_dcen dcen 
    *Proportionality Assumption Tests*
     stphtest, detail
     drop sca* sch*          
  stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 0, UNfpeaid1=1, SET=0,  SET_dcen=0, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) 
  stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 1, UNfpeaid1=1, SET=0,  SET_dcen=1, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=1) 
  stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 0, UNfpeaid1=1, SET=1,  SET_dcen=0, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) 
  stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 1, UNfpeaid1=1, SET=1,  SET_dcen=1, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=1) 
     *Probability of election higher in the case of decentralization*
     
stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 rebwin govwin cycle prv10yrs prop mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE2", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform  tex se append label(insert)
  test rebwin govwin
  test rebwin == govwin
    *Proportionality Assumption Tests* 
     stphtest, detail
     drop sca* sch*
stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 rebwin govwin negset cycle prv10yrs prop mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
  
gen VICunintrvnALL = victory*unintrvnALL
stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 victory VICunintrvnALL cycle prv10yrs prop mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE2", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se append label(insert)
  test victory VICunintrvnALL unintrvnALL 
  *Proportionality Assumption Tests*
     stphtest, log plot(prv10yrs) yline(0) 
     stphtest, detail
     drop sca* sch*
 
*gen SETunintrvnALL = SET*unintrvnALL     
*stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 SET SETunintrvnALL cycle prv10yrs prop mixed unexec dcen, hr efron cluster(countryname) basehc(hazard)
*stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 0, UNfpeaid1=1, SET=1,  SETunintrvnALL=0, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) 
*stcurve, hazard at(fintvngwar1=0, postCW=1, unintrvnALL= 1, UNfpeaid1=1, SET=1,  SETunintrvnALL=1, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) 
*stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 SET SETunintrvnALL cycle prv10yrs prop mixed unexec dcen if fintvngwar1==0, hr efron cluster(countryname) basehc(hazard)
*stcurve, hazard at(postCW=1, unintrvnALL= 0, UNfpeaid1=1, SET=1, SETunintrvnALL=0, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) ylabel(0(.01).08)
*stcurve, hazard at(postCW=1, unintrvnALL= 1, UNfpeaid1=1, SET=1, SETunintrvnALL=1, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) ylabel(0(.01).08)


**************************
* INSTITUTIONAL CAPACITY *
************************** 
        
stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 victory cycle prv10yrs prop mixed unexec dcen gdpend wardur dead ridp, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE3", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se replace label(insert)
 *Proportionality Assumption Tests*
   stphtest, detail
   drop sca* sch*
 *Robustness*
   stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 victory cycle prv10yrs prop mixed unexec dcen if wardur != . & dead != . & ridp != .  & gdpen ! = ., hr efron cluster(countryname)

stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 victory cycle prv10yrs prop mixed unexec dcen FPEelectricity1, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE3", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se append label(insert)
 *Proportionality Assumption Tests* 
   stphtest, detail
   drop sca* sch* 
   
stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 victory cycle prv10yrs prop mixed unexec dcen FPEpavedroads1, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE3", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se append label(insert)
 *Proportionality Assumption Tests*
   stphtest, detail
   drop sca* sch*       
         
 *Robustness*
 *stcox fintvngwar1 postCW unintrvnALL UNfpeaid1 victory cycle prv10yrs prop mixed unexec dcen FPEroadstotal1, hr efron cluster(countryname) 

*******************************************************
*******************************************************
**** FIRST POST-CONFLICT NATIONAL ELECTIONS (FPnE) **** 
*******************************************************
*******************************************************

set matsize 10000
clear
use "/Users/brancati/Documents/Publications/JCR2011/BS11_RUSH2POLLS.dta"

*2 NEs arguably occur in the same month as the end of the civil war. Below, I have replaced T2nemths1 = 0 to T2fpemths1 = 1 
replace T2nemths1 = 1 if T2nemths1 == 0

*Time set the data.*
stset T2nemths1, failure(nEND1) 

******************************
*INTERNATIONAL CONSIDERATIONS*
******************************

stcox nintvngwar1 postCW unintrvnALL UNneaid1, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE1", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se append label(insert)
   *Proportionality Assumption Tests*
   *Schoenfeld Residuals*
    stphtest, log plot(nintvngwar1) yline(0) 
    stphtest, detail
    drop sca* sch*
    sts graph, by(nintvngwar1)
 *The variable nintvngwar1 violates the proportionality assumption at the .10 level.*
   *Robustness*: 
     stcox fintvngwar1 postCW intrvnALL UNneaid1, hr efron cluster(countryname) 
     *Test if the effect the same within categories of nintvngwar1 given violation of prop. assumption above. 
     stcox postCW unintrvnALL UNneaid1 if nintvngwar1 != 1, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
       stphtest, detail
       drop sca* sch*
     stcox postCW unintrvnALL UNneaid1 if nintvngwar1 != 0, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
       stphtest, detail
       drop sca* sch*
    
stcox nintvngwar1 postCW unintrvnALL UNaidneTECH1, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
    outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE1", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se append label(insert)
    *for var UNaidneTECH1 UNaidneCOORD1 UNaidneOBSV1 UNaidneORG1 UNaidneSPV1 UNaidneVER1 UNaidneNOBV1: stcox postCW victory fintvngwar1 cycle intrvnALL X, hr efron cluster(countryname)
    *Proportionality Assumption Tests*
     stphtest, log plot(nintvngwar1) yline(0) 
     stphtest, detail
     drop sca* sch*
*The variable nintvngwar1 violates the proportionality assumption.*
     *Robustness*: 
     stcox nintvngwar1 postCW unintrvnALL UNaidneTECH1 if nintvngwar1 != 1, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
	   stphtest, detail
       drop sca* sch*
	stcox nintvngwar1 postCW unintrvnALL UNaidneTECH1 if nintvngwar1 != 0, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
	   stphtest, detail
       drop sca* sch*

stcox nintvngwar1 postCW unintrvnALL UNneaid1 USak110nedate1, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
     outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE1", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se append label(insert)
     *Proportionality Assumption Tests*
     stphtest, log plot(nintvngwar1) yline(0) 
     stphtest, detail
     drop sca* sch*
     *Robustness*: 
     stcox nintvngwar1 postCW unintrvnALL UNneaid1 USak100nedate1, hr efron cluster(countryname) 
     
***************************
*  DOMESTIC CONSIDERATIONS*
***************************    
stcox nintvngwar1 postCW unintrvnALL UNneaid1 victory cycle prv10yrs prop mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE2", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform  tex se append label(insert)
  test prop mixed
  test unexec
    *Proportionality Assumption Tests*
     stphtest, log plot(nintvngwar1) yline(0) 
     stphtest, detail
     drop sca* sch*
*The variable nintvngwar1 violates the proportionality assumption. Below we interact ln(time) with the offending variable to correct this issue.*
  gen ln_t_nintvngwar1 = ln(_t)*nintvngwar1
  stcox ln_t_nintvngwar1 postCW unintrvnALL UNneaid1 victory cycle prv10yrs prop mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
  drop sca* sch*
  *Robustness*
    stcox nintvngwar1 postCW unintrvnALL UNneaid1 victory cycle DIFFne1pne1 prop mixed unexec dcen, hr efron cluster(countryname) 
    stcox nintvngwar1 postCW unintrvnALL UNfpeaid1 victory cycle pn2polity1 prop mixed unexec dcen, hr efron cluster(countryname) 
    stcox nintvngwar1 postCW unintrvnALL UNfpeaid1 victory cycle endPolity2 prop mixed unexec dcen, hr efron cluster(countryname) 
    gen SET = 1 if victory == 0
    replace SET = 0 if victory == 1
    gen SET_prop = SET*prop
    stcox nintvngwar1  postCW unintrvnALL UNneaid1 SET cycle prv10yrs prop SET_prop mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*) basehc(hazard)
    test SET SET_prop prop 
      *Proportionality Assumption Tests*
       stphtest, detail
       drop sca* sch*
    stcurve, hazard at(nintvngwar1=0, postCW=1, unintrvnALL= 0, UNneaid1=1, SET=0,  SET_prop=0, cycle=1, prv10yrs=1, prop=0, mixed=0, unexec=0, dcen=0) 
    stcurve, hazard at(nintvngwar1=0, postCW=1, unintrvnALL= 1, UNneaid1=1, SET=0,  SET_prop=1, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) 
    stcurve, hazard at(nintvngwar1=0, postCW=1, unintrvnALL= 0, UNneaid1=1, SET=1,  SET_prop=0, cycle=1, prv10yrs=1, prop=0, mixed=0, unexec=0, dcen=0) 
    stcurve, hazard at(nintvngwar1=0, postCW=1, unintrvnALL= 1, UNneaid1=1, SET=1,  SET_prop=1, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) 
     *Probability of election higher under pr*                
    gen SET_mixed = SET*mixed 
    stcox nintvngwar1  postCW unintrvnALL UNneaid1 SET cycle prv10yrs prop SET_mixed mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
    test SET SET_mixed mixed 
      *Proportionality Assumption Tests*
       stphtest, detail
       drop sca* sch*
    gen SET_unexec = SET*unexec
    stcox nintvngwar1  postCW unintrvnALL UNneaid1 SET cycle prv10yrs prop SET_unexec mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
    test SET SET_unexec unexec 
      *Proportionality Assumption Tests*
       stphtest, detail
       drop sca* sch*
    gen SET_dcen = SET*dcen
    stcox nintvngwar1  postCW unintrvnALL UNneaid1 SET cycle prv10yrs prop SET_dcen mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*) basehc(hazard)
    test SET SET_dcen dcen 
      *Proportionality Assumption Tests*
       stphtest, detail
       drop sca* sch* 
    stcurve, hazard at(nintvngwar1=0, postCW=1, unintrvnALL= 0, UNneaid1=1, SET=0,  SET_dcen=0, cycle=1, prv10yrs=1, prop=0, mixed=0, unexec=0, dcen=0) 
    stcurve, hazard at(nintvngwar1=0, postCW=1, unintrvnALL= 1, UNneaid1=1, SET=0,  SET_dcen=1, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) 
    stcurve, hazard at(nintvngwar1=0, postCW=1, unintrvnALL= 0, UNneaid1=1, SET=1,  SET_dcen=0, cycle=1, prv10yrs=1, prop=0, mixed=0, unexec=0, dcen=0) 
    stcurve, hazard at(nintvngwar1=0, postCW=1, unintrvnALL= 1, UNneaid1=1, SET=1,  SET_dcen=1, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) 
      *Probability of an election higher under decentralization*
    
stcox nintvngwar1 postCW unintrvnALL UNneaid1 rebwin govwin cycle prv10yrs prop mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*) 
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE2", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se append label(insert)
  test rebwin govwin
    *Proportionality Assumption Tests*
     stphtest, log plot(nintvngwar1) yline(0) 
     stphtest, detail
     drop sca* sch*
*The variable nintvngwar1 violates the proportionality assumption.* Below we interact ln(time) with the offending variable to correct this issue.*
  stcox ln_t_nintvngwar1 postCW unintrvnALL UNneaid1 rebwin govwin cycle prv10yrs prop mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
stcox nintvngwar1 postCW unintrvnALL UNneaid1 rebwin govwin negset cycle prv10yrs prop mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)

gen VICunintrvnALL = victory*unintrvnALL
stcox nintvngwar1 postCW unintrvnALL UNneaid1 victory VICunintrvnALL cycle prv10yrs prop mixed unexec dcen, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*) 
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE2", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se append label(insert)
  test victory VICunintrvnALL unintrvnALL 
  *Proportionality Assumption Tests*
     stphtest, log plot(nintvngwar1) yline(0) 
     stphtest, detail
     drop sca* sch*
*The variable nintvngwar1 violates the proportionality assumption.*
     
*gen SETunintrvnALL = SET*unintrvnALL   
*stcox nintvngwar1 postCW unintrvnALL UNneaid1 SET SETunintrvnALL cycle prv10yrs prop mixed unexec dcen, hr efron cluster(countryname) basehc(hazard)
*stcurve, hazard at(nintvngwar1=0, postCW=1, unintrvnALL= 0, UNneaid1=1, SET=1,  SETunintrvnALL=0, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) ylabel(0(.01).08)
*stcurve, hazard at(nintvngwar1=0, postCW=1, unintrvnALL= 1, UNneaid1=1, SET=1,  SETunintrvnALL=1, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) ylabel(0(.01).08)
*stcox nintvngwar1 postCW unintrvnALL UNneaid1 SET SETunintrvnALL cycle prv10yrs prop mixed unexec dcen if nintvngwar1===0, hr efron cluster(countryname) basehc(hazard)
*stcurve, hazard at(postCW=1, unintrvnALL= 0, UNneaid1=1, SET=1,  SETunintrvnALL=0, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) 
*stcurve, hazard at(postCW=1, unintrvnALL= 1, UNneaid1=1, SET=1,  SETunintrvnALL=1, cycle=1, prv10yrs=1, prop=1, mixed=0, unexec=0, dcen=0) 


**************************
* INSTITUTIONAL CAPACITY *
************************** 
        
stcox nintvngwar1 postCW unintrvnALL UNneaid1 victory cycle prv10yrs prop mixed unexec dcen gdpen wardur dead ridp, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE3", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se append label(insert)
 *Proportionality Assumption Tests*
   stphtest, detail
   drop sca* sch*
 *Robustness*
   stcox nintvngwar1 postCW unintrvnALL UNneaid1 victory cycle prv10yrs prop mixed unexec dcen if wardur != . & dead != . & ridp != .  & gdpen ! = ., hr efron cluster(countryname)

stcox nintvngwar1 postCW unintrvnALL UNneaid1 victory cycle prv10yrs prop mixed unexec dcen NEelectricity1, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE3", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se append label(insert)
 *Proportionality Assumption Tests* 
   stphtest, detail
   drop sca* sch* 
   
stcox nintvngwar1 postCW unintrvnALL UNneaid1 victory cycle prv10yrs prop mixed unexec dcen NEpavedroads1, hr efron cluster(countryname) schoenfeld(sch*) scaledsch(sca*)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/P1_TABLE3", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) eform tex se append label(insert)
 *Proportionality Assumption Tests*
   stphtest, detail
   drop sca* sch*      
         
 *Robustness*
 *stcox nintvngwar1 postCW unintrvnALL UNneaid1 victory cycle prv10yrs prop mixed unexec dcen NEroadstotal1, hr efron cluster(countryname) 
